summaryrefslogtreecommitdiff
path: root/eclass/php-ext-source-r3.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-09-25 19:33:39 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-09-28 08:31:11 +0100
commitad6182343997a405079870a2fe91c4e0c6b94595 (patch)
tree4aa7483cd0ad7de54338afc8e7971417abe1dd81 /eclass/php-ext-source-r3.eclass
parente8f81810baa21f490d6910e8e2d424546b72a333 (diff)
gentoo resync : 25.09.2019
Diffstat (limited to 'eclass/php-ext-source-r3.eclass')
-rw-r--r--eclass/php-ext-source-r3.eclass19
1 files changed, 14 insertions, 5 deletions
diff --git a/eclass/php-ext-source-r3.eclass b/eclass/php-ext-source-r3.eclass
index 5ef879a2be23..385bdb9dae0b 100644
--- a/eclass/php-ext-source-r3.eclass
+++ b/eclass/php-ext-source-r3.eclass
@@ -15,7 +15,8 @@ inherit autotools
EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test
case ${EAPI:-0} in
- 6|7) ;;
+ 6) inherit eapi7-ver ;;
+ 7) ;;
*)
die "${ECLASS} is not compatible with EAPI=${EAPI}"
esac
@@ -183,10 +184,18 @@ php-ext-source-r3_phpize() {
# WANT_AUTOMAKE (see bugs #329071 and #549268).
autotools_run_tool "${PHPIZE}"
- # Force libtoolize to run and regenerate autotools files (bug
- # #220519).
- rm aclocal.m4 || die "failed to remove aclocal.m4"
- eautoreconf
+ # PHP >=7.4 no longer works with eautoreconf
+ if ver_test $PHP_CURRENTSLOT -ge 7.4 ; then
+ rm -fr aclocal.m4 autom4te.cache config.cache \
+ configure main/php_config.h.in || die
+ eautoconf --force
+ eautoheader
+ else
+ # Force libtoolize to run and regenerate autotools files (bug
+ # #220519).
+ rm aclocal.m4 || die "failed to remove aclocal.m4"
+ eautoreconf
+ fi
fi
}